Support » Requests and Feedback » WP-dTree wp 2.3 compatible version?

WP-dTree wp 2.3 compatible version?

Viewing 15 replies - 1 through 15 (of 32 total)
  • the complete question is:
    Is there a wp 2.3 compatible version for WP-dTree in preparation?



    Please ulfben, kindly consider the version for 2.3 asap. wp-dtree is an indispensible plugin and we are all waiting for the 2.3 version since 2.3 has inbuilt tags and many cool features. Thanks.

    WP-dTree3.0 does run on 2.3.

    Make sure you’ve added the proper display calls to sidebar.php.

    I will widgetize this plugin so we won’t have to mess around in the theme source, but it might be a few weeks or so until I get the time to.

    Right, Michelle emailed me and explained the problem. Categories are broken since WP 2.3 – I apologize for missing that one.

    I’ll try and fix it this weekend.



    WORDPRESS 2.3 COMPATIBLE VERSION you can download at
    http://lecactus.ru/blog/2007/07/29/566/ (RUSSIAN VERSIONS)
    if you use english version – get wp-dtree_cat-functions.php file from my russian version to your installation

    —–for russin users—-
    Wordpress 2.3 совместимую РУССКУЮ версию вы можете скачать здесь
    ПРОТЕСТИРОВАНО на русской и оригинальной версии wordpress
    —–for russin users—-

    direct link for download for not russian users



    >I’ll try and fix it this weekend.

    Great, really looking forward to it…on Monday.

    i had this awesome plugin working perfectly before upgrading to 2.3, i was getting, probably the same database error as everyone else, relating to categories. im glad to see the plugin author is fixing it this weekend. in the meantime i decided to try out lecactusnsk’s posted fix and it didnt quite work. the bottom category on my tree doesnt expand or have the expand + mark, even though it has posts in it and i have the plugin set to list post. the category above it lists posts fine.

    ……just thought i’d let you know 🙂



    oh good.

    I use this plugin to.

    I uploaded the new version just now. Fully widgetized and supports WP 2.3 properly.



    many thanks ulfben 🙂

    just one more question. if i need to make two different menus

    say first one for category 1,2 and 3

    and second one for category 4,5, and 6

    can i do that by using the function silpstream_wp_dtree_get_categories() and passing different arguments for $catresults

    if i copy paste the function and define $catresults as an array [1,2,3] will that work ??



    I uploaded the new version. It does not show any Categories or Archive posts. I put the widgets at the end of my bottom left sidebar and it just shows the title of the widgets Categories and Archives and open all and close all links but no categories or posts. My blog is here. You can see these widgets at the bottom of the left sidebar.



    I see the javascript source of all the Wp-dTree cats and posts in the page source of the sidebar but they don’t appear on the page. Is this a wp-dtree bug or theme incompatibility? Thanks.

    I’m unable to reproduce your problems. Since you bring up theme incompatibility – have you tried any othere themes? If so – whas it still broken? If not – how does the themes differ?

    If it breaks no matter what theme; please give me your complete WP-dTree settings. They’re in the table wp_options -> wp_dtree_options.

    Just copy/paste the serialized array here or send me an email.



    When trying to activate I get this message, running version 3.2

    Någon ide vad det kan vara ulf ?


    Fatal error: Cannot redeclare init_wp_dtree_widget_goodness() (previously declared in /usr/home/web/wse190175/blog/wp-content/plugins/wp-dtree-30/wp-dtree.php:118) in /usr/home/web/wse190175/blog/wp-content/plugins/wp-dtree-30/wp-dtree.php on line 167

    freebords4u – I haven’t got a clue actually. Obviously it’s complaining about the widget set up function, but I can’t see a reason for it, except perhaps if you’ve got two copies of wp-dtree running somehow.

    If you’re unable to find the cause, try this quick-&-dirty include guard:

    if ( !function_exists('init_wp_dtree_widget_goodness')
    /*move init_wp_dtree_widget_goodness() here*/

    Simply put that around the function in wp-dtree.php, it might help.

Viewing 15 replies - 1 through 15 (of 32 total)
  • The topic ‘WP-dTree wp 2.3 compatible version?’ is closed to new replies.